#### posix::descriptor::operator=

Move-assign a descriptor from another.

    descriptor & operator=(
        descriptor && other);

This assignment operator moves a descriptor from one object to another.

###### Parameters

other

  The other descriptor object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `descriptor(io_context&) constructor`.